﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

:root {
    --dt-row-stripe: 0, 0, 0; /* dark stripe */
    --dt-row-selected: 0, 0, 255; /* selected row */
    --dt-row-hover: 255, 0, 0; /* unselected row, hover */
}

table.dataTable.stripe > tbody > tr.odd > *, table.dataTable.display > tbody > tr.odd > * {
    box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-stripe), 0.023); /* dark stripe */
}

table.dataTable.stripe > tbody > tr.odd:hover > *, table.dataTable.display > tbody > tr.odd:hover > * {
    box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-stripe), 0.05); /* dark stripe - hover */
}

/* table.dataTable.stripe > tbody > tr.odd.selected > *, table.dataTable.display > tbody > tr.odd.selected > * { */ /* dark stripe - selected - not hover */
table.dataTable.stripe > tbody > tr.selected > *, table.dataTable.display > tbody > tr.selected > * { /* any stripe - selected - not hover */
    box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), 0.05) !important;
}

table.dataTable.hover > tbody > tr.selected:hover > *, table.dataTable.display > tbody > tr.selected:hover > * { /* any stripe - selected - hover */
    box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), 0.10) !important;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #212a5c;
}

i {
    color: #212a5c;
}

.bg-grey {
    background-color: #e2e8e4; /* Light grey */
}

.approve {
    color: #198754;
}

.deny {
    color: #dc3545;
}

.hide {
    display: none;
}

.card {
    margin: 10px 0px 10px 0px;
}

.add-icon {
    cursor: pointer;
}

.close-icon {
    cursor: pointer;
    padding: 0px 5px 0px 0px;
}

.remove-attach {
    color: #8c031c;
}

.btn-primary {
    color: #ffffff;
    background-color: #000000;
    border-color: #000000;
}

    .btn-primary:hover {
        color: #212a5c;
        background-color: #ffffff;
        border-color: #000000;
    }

    .btn-primary:focus {
        color: #000000;
        background-color: #ffffff;
        border-color: #000000;
    }

    .btn-primary:disabled {
        color: #ffffff;
        background-color: #000000;
        border-color: #000000;
        opacity: 0.65;
    }

.btn-danger {
    color: #ffffff;
    background-color: #8c031c;
    border-color: #8c031c;
}

    .btn-danger:hover {
        color: #8c031c;
        background-color: #ffffff;
        border-color: #8c031c;
    }

    .btn-danger:focus {
        color: #8c031c;
        background-color: #ffffff;
        border-color: #8c031c;
    }

    .btn-danger:disabled {
        color: #ffffff;
        background-color: #8c031c;
        border-color: #ffffff;
        opacity: 0.65;
    }

.lightIcon {
    color: inherit;
}

textarea {
    height: 150px;
}

.navbar {
    padding: 0px 0px 0px 0px
}

.navbar-light .navbar-nav .nav-link {
    color: #212a5c
}

.nav-link {
    color: #212a5c;
}

.navbar-light .navbar-nav .nav-item:hover > .nav-link {
    color: #ffffff;
}

.navbar-light .navbar-nav .nav-link.active {
    color: #ffffff;
}

.nav-item.active {
    background-color: #212a5c;
}

.navbar-light .navbar-nav .nav-item:hover {
    background-color: #212a5c;
}

button.dt-button, div.dt-button, a.dt-button, input.dt-button {
    color: #ffffff;
    background-color: #212a5c;
    border-radius: .25rem;
}

table.dataTable.stripe > tbody > tr.odd.selected > *, table.dataTable.display > tbody > tr.odd.selected > * {
    box-shadow: revert;
    color: revert;
}

table.dataTable.display > tbody > tr.odd.selected > .sorting_1, table.dataTable.order-column.stripe > tbody > tr.odd.selected > .sorting_1 {
    box-shadow: revert;
    color: revert;
}

table.dataTable tbody tr.selected > * {
    box-shadow: revert;
    color: revert;
}

table.dataTable tbody tr td.nowrap {
    white-space: nowrap;
}

table.dataTable.display > tbody > tr.even.selected > .sorting_1, table.dataTable.order-column.stripe > tbody > tr.even.selected > .sorting_1 {
    box-shadow: revert;
    color: revert;
}

table.dataTable.hover > tbody > tr.selected:hover > *, table.dataTable.display > tbody > tr.selected:hover > * {
    box-shadow: revert;
    color: revert;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control:before, table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control:before {
    background-color: #212a5c;
}

table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td.dtr-control:before, table.dataTable.dtr-inline.collapsed > tbody > tr.parent > th.dtr-control:before {
    background-color: #df2928;
}

.dataTables_filter, .dataTables_filter label {
    padding: 0 30px 0 0;
}

.status-filter {
    padding: 0 10px 0 0;
}

.bulkManageButtons {
    width: 100%;
}

.bulkManageButtons > div {
    float: right;
}

table.attendance caption {
    font-size: 24px;
    font-weight: bold;
}

table.dataTable > thead > tr.filters > th {
    vertical-align: top;
}

div.dt-buttons {
    float: right;
}

#statusFilter.form-control {
    width: initial;
    float: right;
}

div#myTeamDiv {
    width: 100%;
    padding: 0 0 0 40px;
    font-size: 1rem;
}

div#myTeamDiv input[type="checkbox"] {
    width: auto;
    margin: 10px 20px 0 0;
}

thead input {
    width: 100%;
}
/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

/*Submission form*/
.hide_column {
    display: none;
}

.select2-container {
    width: 100% !important;
}

.select2-container .select2-selection--single {
    height: 38px !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
/*    line-height: 36px !important;*/
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    display: none !important;
/*    height: 36px !important;*/
}

.form-check-input:checked {
    background-color: #212a5c !important;
    border-color: #212a5c !important;
}
#spinner-overlay {
    display: none; /* Hidden by default */
    position: fixed; /* Ensure it covers the full screen */
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.5); /* Dark transparent overlay */
    z-index: 1050; /* Ensure it is above other elements */
    align-items: center;
    justify-content: center;
}

#spinner-overlay.is-active {
    display: flex;
}

.spinner-container {
    text-align: center;
    color: white;
    font-size: 1.5rem;
}

.spinner-border {
    width: 3rem;
    height: 3rem;
    border: 4px solid white;
    border-top: 4px solid transparent;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.table-striped > tbody > tr:nth-of-type(odd) {
    --bs-table-accent-bg: #fafafa;
}

.pagination-buttons button {
    border: none;
    border-radius: 6px;
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px;
    margin: 0 3px;
    height: 30px;
    background-color: transparent;
}

    .pagination-buttons button.page-button {
        font-size: 14px;
        font-style: normal;
        font-weight: 700;
        background-color: #fff;
        color: #000;
        line-height: 28px;
    }

        .pagination-buttons button.page-button.active {
            background-color: #000;
            color: #fff;
        }

.justify-content-right {
    justify-content: flex-end !important;
}

@media (max-width: 1399px) {
    #entryCount {
        margin-bottom: 24px;
    }
}

@media (max-width: 799px) {
    #attendanceTab
    .d-flex.align-items-center.gap-3.flex-grow-1.justify-content-right {
        justify-content: space-between !important;
        flex-wrap: wrap;
    }
}

@media (max-width: 699px) {
    #attendanceTab
    .d-flex.align-items-center.gap-3.flex-grow-1.justify-content-right {
        justify-content: center !important;
    }
}